# Introduction

## Motivation
 A way of creating a modularized and universal system which has its state under control, using Redux as its core.
 
 Reduce boilerplate when using a "[Redux](https://github.com/reactjs/redux/) stack".
 
## Principles
 Based on the Functional Programming principles / paradigms.

1. Changes of the state are explicit.
2. Eliminate redundant code.
3. State less functions (no *this* keyword).
4. Side-effects, are reactions from dispatched actions.
5. The value of variables are immutable. Create a new value instead of changing.
6. Modules and functions should have one goal.
7. Keep your logic state less.

